[arch-commits] Commit in evolution-data-server/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Sep 27 15:40:52 EDT 2008


    Date: Saturday, September 27, 2008 @ 15:40:51
  Author: jgc
Revision: 13611

upgpkg: evolution-data-server 2.24.0-1

Modified:
  evolution-data-server/trunk/PKGBUILD

----------+
 PKGBUILD |   16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-09-27 19:31:50 UTC (rev 13610)
+++ PKGBUILD	2008-09-27 19:40:51 UTC (rev 13611)
@@ -2,29 +2,29 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=evolution-data-server
-pkgver=2.22.3
-pkgrel=2
+pkgver=2.24.0
+pkgrel=1
 pkgdesc="Evolution Data Server provides a central location for addressbook and calendar in the GNOME Desktop"
 arch=(i686 x86_64)
-depends=('libsoup>=2.4.1' 'nss>=3.12' 'libgnome>=2.22.0' 'libglade>=2.6.2' 'gnome-keyring>=2.22.3' 'db4.1' 'heimdal>=1.2')
+depends=('libsoup>=2.24.0.1' 'nss>=3.12' 'libgnome>=2.24.1' 'libglade>=2.6.3' 'gnome-keyring>=2.24.0' 'db4.1' 'heimdal>=1.2')
 makedepends=('intltool' 'pkgconfig')
 options=('!libtool')
 url="http://www.gnome.org"
 license=('GPL')
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.22/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('7552919fa10a04a09130e29540482fdf')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.24/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('376bbd5ab3072c9dc8f47747c578f71f')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   # Look for correct DB, we want 4.1
   sed -e 's|DB_CFLAGS="-I$withval/include"|DB_CFLAGS="-I$withval/include/db4.1"|' \
       -e 's|DB_LIBS="-L$withval/lib -ldb"|DB_LIBS="-L$withval/lib -ldb-4.1"|' \
-      -i configure
+      -i configure || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
     --localstatedir=/var  --with-openldap=yes \
     --libexecdir=/usr/lib/evolution-data-server-1.2 \
     --with-krb5=/usr --enable-gnome-keyring \
     --with-libdb=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 }




More information about the arch-commits mailing list